# I2C Makefile
INCLUDEDIR = /usr/include

CFLAGS = -D__KERNEL__ -DMODULE -O -Wall -I$(INCLUDEDIR)

# Extract version number from headers.
VER = $(shell awk -F\" '/REL/ {print $$2}'\
	$(INCLUDEDIR)/linux/version.h)

OBJS = i2c-mach.o

all: $(OBJS)

i2c-mach.o: i2c-mach.c
	gcc $(CFLAGS) -c $*.c -o $*.o
